Qt 版本切換 #qmake incomplete 錯誤解決 #Qt Creator 設定

遇到的問題

1. 有多個 Qt 版本需要切換

如圖有 5.12 跟 5.14 版本要切換

2. 執行檔錯誤,無法修正

會出現類似的提示與

qwheelevent member access into incomplete type

解決方式

可以參考官網的解決方式


確認是不是發生相同的問題

步驟 1.

如果是剛安裝完成,要先設定 Qt 的版本

步驟 2.

開啟 QtCreator 狀態列,選擇 工具 -> 選項

步驟 3.

查看目前設定的版本是否正確

步驟 4.

如果沒有抓到正確的本,可以點選 Link with Qt

步驟 5.

選擇版本的路徑,Default 是在 C 槽

步驟 6.

要確認選擇到 qmake
預設路徑如圖 : Tools/QtCreator/share/qtcreator

步驟 7.

重新啟動後即可正常執行

備註:
qmake 執行錯誤,可重新下載並安裝 Qt,舊的檔案直接在資料夾移除即可.

留言

熱門文章

2021申請 Android Developer 開發者帳號及上架步驟

Generate Signed Bundle / APK(s) & Bundle Tool 基本使用 & .aab安裝方式

40 個可以改變寫程式技巧的秘訣